#! /bin/bash

# Read in language
source ${BBROOTDIR}/lang/${BBLANG}/multi.lang

# A function that waits for the enter key to be pressed
wait_for_enter()
{
while true; do
        echo $bb_multi_enter_1
        read temp
        if [[ "$temp" = "" ]]; then
                break
        else
                continue
        fi
done
}

# Another wait function
wait_to_cont()
{
while true; do
	echo $bb_multi_enter_2
	read temp
	if [[ "$temp" = "" ]]; then
		break
	else
		continue
	fi
done
}


#This is the function that burns the cd
burn_multi()
{
if [[ "$(find ${BBBURNDIR} -iname '*iso')" != "" ]]; then		#Check if ISO exists in BURNDIR
	echo $bb_multi_burn_1
	echo $bb_multi_burn_2
	echo $bb_multi_burn_3
	echo $bb_multi_burn_4
	wait_to_cont
	cdrecord dev="$BBCDWRITER" speed="$BBSPEED" ${BBOPT_ONE:+"driveropts=$BBOPT_ONE"} \
       	"$BBMULTI" -eject -v "$BBBURNDIR"/*.iso		#If it does, burn it
	echo $bb_multi_burn_5
	wait_for_enter
else
	echo $bb_multi_burn_6	#If not...
	sleep 2s
	if [[ ${BBGET_PREV_SESSION} != 0 ]]; then
		echo; echo; echo $bb_multi_burn_7
		BBMSINFODATA=`cdrecord dev=${BBCDWRITER} -msinfo`
		echo; echo "$bb_multi_burn_8 [${BBMSINFODATA}]"
		echo "$bb_multi_burn_9 [${BBMSINFODATA}] $bb_multi_burn_9b"
		if [[ ${BBMSINFODATA} == "" ]]; then
			echo $bb_multi_burn_10
			echo $bb_multi_burn_11
			BBMKISO_CM_ARGS=""
			wait_to_cont
		else
			BBMKISO_CM_ARGS="-C \"$BBMSINFODATA\" -M \"$BBCDWRITER\"
			echo; echo "$bb_multi_burn_12 \"$BBMKISO_CM_ARGS\"
			sleep 2s
		fi
	else
		# first burn to multisession CD does not need -msdata info
		echo; echo; echo $bb_multi_burn_13
		BBMKISO_CM_ARGS=""
		sleep 2s
	fi
	
	echo; echo $bb_multi_burn_14
	sleep 2s
	if eval "mkisofs -r -f -v -J -hide-joliet-trans-tbl -copyright \"$BBCOPYRIGHT\" \
		-A \"$BBDESCRIPTION\" -p \"$BBAUTHOR\" -publisher \"$BBPUBLISHER\" \
		-volset \"$BBNAMEOFPACKAGE\" -V \"$BBLABEL\" \"$BBMKISO_CM_ARGS\" \
		-o \"$BBBURNDIR\"/BashBurn.iso \"$BBBURNDIR\""; then 
		echo $bb_multi_burn_15
		#Files existed, ISO created
		cdrecord dev="${BBCDWRITER}" speed="${BBSPEED}" ${BBOPT_ONE:+"driveropts=$BBOPT_ONE"} \
		 "${BBMULTI}" -eject -v "${BBOBURN}" "${BBBURNDIR}"/*.iso                #Burn the created ISO
		echo $bb_multi_burn_5
		wait_for_enter
	else
		echo $bb_multi_burn_16	#Something went wrong
		echo "$bb_multi_burn_17 ${BBBURNDIR}"	#BURNDIR was empty, copy files here first
		echo $bb_multi_burn_18
		wait_for_enter
	fi
fi	
	
}

#####PROGRAM START#####
while true; do
	# <colors>
	BBCOLOROFF="\033[1;0m"	# standard color
	BBHEADCOLOR="\033[1;32m"	# green
	BBMAINCOLOR="\033[1;37m"	# white
	BBSUBCOLOR="\033[1;36m"	# blue
	BBTABLECOLOR="\033[1;31m"	# red
	BBINPUTCOLOR="\033[1;35m"	# lilac
	# </colors>
	setterm -clear
	# <table>
        echo -e "${BBTABLECOLOR}${BBDECOLINE}"
        echo -e "${BBTABLECOLOR}|${BBHEADCOLOR} ${BBVERSION} ${BBTABLECOLOR}|"
        echo -e "${BBTABLECOLOR}${BBDECOLINE}"
	echo -e "${BBTABLECOLOR}|"
	echo -e "${BBTABLECOLOR}|-(${BBSUBCOLOR}$bb_multi_menu_title${BBTABLECOLOR})"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 1) $bb_multi_menu_1"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 2) $bb_multi_menu_2"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 3) $bb_multi_menu_3"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 0) $bb_multi_menu_0"
	echo -e "${BBTABLECOLOR}|"
	echo -n -e "${BBINPUTCOLOR}$bb_multi_menu_entry[0-3] |>${BBMAINCOLOR} "
	read action
	echo -e "$BBCOLOROFF"


case $action in
  		1)				# Starting multisession CD, first burn
			MULTI="-multi"		#We need to add this to cdrecord
			GET_PREV_SESSION=0	# first burn there is no previous session data
			burn_multi		#Call function above
			break			#Return to main		
  		;;
  		2)				# Continuing multisession CD
			MULTI="-multi"		#We need to add this to cdrecord
			GET_PREV_SESSION=1	# anytime after first burn we need previous session -msinfo data
			burn_multi		#Call function above
			break			#Return to main		
  		;;
  		3)				#Finishing multisession
			MULTI=""		#-multi cannot be added			
			GET_PREV_SESSION=1	# anytime after first burn we need previous session -msinfo data
			burn_multi		#Call function above
			break			#Return to main
		;;
  		0)				#Aborting
   			echo "$bb_multi_ch0"
			sleep 2s
   			break			#Back to main
   		;;
   		*)				#You entered a bad number
			echo "$bb_multi_err[0-3]"
			sleep 2s
   			continue
   		;;
	esac

done
