#!/bin/bash

#Variables that BashBurn use
variable_reader()
{
	export BBROOTDIR="$( cat $BBCONFFILE | grep -v '^#' | grep BBROOTDIR:  | cut -d ":" -f 2- | sed -e "s/^[[:blank:]]//g")"
	export BBROOTDIR="${BBROOTDIR%*/}"
	export BBCDROM="$(   cat $BBCONFFILE | grep -v '^#' | grep BBCDROM:    | cut -d ":" -f 2- | sed -e "s/^[[:blank:]]//g")" 
	export BBCDMNT="$(   cat $BBCONFFILE | grep -v '^#' | grep BBCDMNT:    | cut -d ":" -f 2- | sed -e "s/^[[:blank:]]//g")"
	export BBCDWRITER="$(cat $BBCONFFILE | grep -v '^#' | grep BBCDWRITER: | cut -d ":" -f 2- | sed -e "s/^[[:blank:]]//g")"
	export BBSPEED="$(   cat $BBCONFFILE | grep -v '^#' | grep BBSPEED:    | cut -d ":" -f 2- | sed -e "s/^[[:blank:]]//g")"
	export BBBLANKING="$(cat $BBCONFFILE | grep -v '^#' | grep BBBLANKING: | cut -d ":" -f 2- | sed -e "s/^[[:blank:]]//g")"
	export BBNUMDEV="$(  cat $BBCONFFILE | grep -v '^#' | grep BBNUMDEV:   | cut -d ":" -f 2- | sed -e "s/^[[:blank:]]//g")"
	export BBBURNDIR="$( cat $BBCONFFILE | grep -v '^#' | grep BBBURNDIR:  | cut -d ":" -f 2- | sed -e "s/^[[:blank:]]//g")"
        export BBBURNDIR="${BBBURNDIR%*/}"
	
	# additional informations of a CD:
	export BBLABEL="$( cat $BBCONFFILE 		| grep -v '^#' 	| grep BBLABEL:  		| cut -d ":" -f 2- | sed -e "s/^[[:blank:]]*//g")"
	export BBCOPYRIGHT="$( cat $BBCONFFILE 	| grep -v '^#' 	| grep BBCOPYRIGHT:  	| cut -d ":" -f 2- | sed -e "s/^[[:blank:]]*//g")"
	export BBDESCRIPTION="$( cat $BBCONFFILE 	| grep -v '^#' 	| grep BBDESCRIPTION:  	| cut -d ":" -f 2- | sed -e "s/^[[:blank:]]*//g")"
	export BBAUTHOR="$( cat $BBCONFFILE 	| grep -v '^#'	| grep BBAUTHOR:  	| cut -d ":" -f 2- | sed -e "s/^[[:blank:]]*//g")"
	export BBPUBLISHER="$( cat $BBCONFFILE 	| grep -v '^#'	| grep BBPUBLISHER:	| cut -d ":" -f 2- | sed -e "s/^[[:blank:]]*//g")"
	export BBNAMEOFPACKAGE="$( cat $BBCONFFILE 	| grep -v '^#'| grep BBNAMEOFPACKAGE:   	| cut -d ":" -f 2- | sed -e "s/^[[:blank:]]*//g")"

	export BBNORMALIZE="$( cat $BBCONFFILE 	| grep -v '^#'| grep BBNORMALIZE:   	| cut -d ":" -f 2- | sed -e "s/^[[:blank:]]*//g")"
	export BBOPT_ONE="$(   cat $BBCONFFILE 	| grep -v '^#'| grep BBOPT_ONE:   	| cut -d ":" -f 2- | sed -e "s/^[[:blank:]]*//g")"
	export BBFIFODIR="$(   cat $BBCONFFILE 	| grep -v '^#'| grep BBFIFODIR:   	| cut -d ":" -f 2- | sed -e "s/^[[:blank:]]*//g")"
	export BBDELTEMPBURN="$(   cat $BBCONFFILE 	| grep -v '^#'| grep BBDELTEMPBURN:	| cut -d ":" -f 2- | sed -e "s/^[[:blank:]]*//g")"
	export BBOVERBURN="$(   cat $BBCONFFILE 	| grep -v '^#'| grep BBOVERBURN:     	| cut -d ":" -f 2- | sed -e "s/^[[:blank:]]*//g")"
	export BBCOPY_PROTECT="$(   cat $BBCONFFILE     | grep -v '^#'| grep BBCOPY_PROTECT:	| cut -d ":" -f 2- | sed -e "s/^[[:blank:]]*//g")"
	export BBBITRATE="$(   cat $BBCONFFILE     | grep -v '^#'| grep BBBITRATE:	| cut -d ":" -f 2- | sed -e "s/^[[:blank:]]*//g")"
	export BBLANG="$(   cat $BBCONFFILE     | grep -v '^#'| grep BBLANG:	| cut -d ":" -f 2- | sed -e "s/^[[:blank:]]*//g")"
	export BBDTAO="$(   cat $BBCONFFILE     | grep -v '^#'| grep BBDTAO:    | cut -d ":" -f 2- | sed -e "s/^[[:blank:]]*//g")"
}

# Read in language
source ${BBROOTDIR}/lang/${BBLANG}/configure.lang

### PRINT HEADER ###
pretty_top()
{
	setterm -clear
        echo -e "${BBTABLECOLOR}${BBDECOLINE}"
        echo -e "${BBTABLECOLOR}|${BBHEADCOLOR} ${BBVERSION} ${BBTABLECOLOR}|"
        echo -e "${BBTABLECOLOR}${BBDECOLINE}"
        echo -e "${BBTABLECOLOR}|${BBCOLOROFF}"
}

#####PROGRAM START#####
while true; do
	# <colors>
	BBCOLOROFF="\033[1;0m"	 # standard color
	BBHEADCOLOR="\033[1;32m"	 # green
	BBMAINCOLOR="\033[1;37m"	 # white
	BBSUBCOLOR="\033[1;36m"	 # blue
	BBTABLECOLOR="\033[1;31m"	 # red
	BBINPUTCOLOR="\033[1;35m"	 # lilac
	BBOPTIONCOLOR="\033[1;33m" # yellow
	# </colors>
	# Top and bottom lines for Information
	BBINFOLINE="${BBTABLECOLOR}${BBDECOLINE}${BBSUBCOLOR} INFORMATION ${BBTABLECOLOR}${BBDECOLINE}${BBCOLOROFF}"
	BBDECOLIN3="${BBTABLECOLOR}${BBDECOLINE}-------------${BBDECOLINE}${BBCOLOROFF}"
	# <table>
	pretty_top
	echo -e "${BBTABLECOLOR}|-(${BBSUBCOLOR}Setup${BBTABLECOLOR})\t\t\t${BBTABLECOLOR}(${BBSUBCOLOR}CURRENT VALUE${BBTABLECOLOR})"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR}  1) $bb_conf_menu1(${BBOPTIONCOLOR}$BBCDWRITER${BBMAINCOLOR})"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR}  2) $bb_conf_menu2(${BBOPTIONCOLOR}$BBCDROM${BBMAINCOLOR})"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR}  3) $bb_conf_menu3(${BBOPTIONCOLOR}$BBCDMNT${BBMAINCOLOR})"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR}  4) $bb_conf_menu4(${BBOPTIONCOLOR}$BBSPEED${BBMAINCOLOR})"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR}  5) $bb_conf_menu5(${BBOPTIONCOLOR}$BBBLANKING${BBMAINCOLOR})"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR}  6) $bb_conf_menu6(${BBOPTIONCOLOR}$BBNUMDEV${BBMAINCOLOR})"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR}  7) $bb_conf_menu7(${BBOPTIONCOLOR}$BBROOTDIR${BBMAINCOLOR})"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR}  8) $bb_conf_menu8(${BBOPTIONCOLOR}$BBBURNDIR${BBMAINCOLOR})" 
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR}  9) $bb_conf_menu9(${BBOPTIONCOLOR}$BBLABEL${BBMAINCOLOR})" 
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 10) $bb_conf_menu10(${BBOPTIONCOLOR}$BBCOPYRIGHT${BBMAINCOLOR})" 
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 11) $bb_conf_menu11(${BBOPTIONCOLOR}$BBAUTHOR${BBMAINCOLOR})" 
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 12) $bb_conf_menu12(${BBOPTIONCOLOR}$BBPUBLISHER${BBMAINCOLOR})" 
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 13) $bb_conf_menu13(${BBOPTIONCOLOR}$BBDESCRIPTION${BBMAINCOLOR})" 
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 14) $bb_conf_menu14(${BBOPTIONCOLOR}$BBNAMEOFPACKAGE${BBMAINCOLOR})" 
	
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 15) $bb_conf_menu15(${BBOPTIONCOLOR}$BBNORMALIZE${BBMAINCOLOR})"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 16) $bb_conf_menu16(${BBOPTIONCOLOR}$BBOPT_ONE${BBMAINCOLOR})"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 17) $bb_conf_menu17(${BBOPTIONCOLOR}$BBFIFODIR${BBMAINCOLOR})"	
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 18) $bb_conf_menu18(${BBOPTIONCOLOR}$BBDELTEMPBURN${BBMAINCOLOR})"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 19) $bb_conf_menu19(${BBOPTIONCOLOR}$BBOVERBURN${BBMAINCOLOR})"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 20) $bb_conf_menu20(${BBOPTIONCOLOR}$BBCOPY_PROTECT${BBMAINCOLOR})"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 21) $bb_conf_menu21(${BBOPTIONCOLOR}$BBBITRATE${BBMAINCOLOR})"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 22) $bb_conf_menu22(${BBOPTIONCOLOR}$BBLANG${BBMAINCOLOR})"
	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 23) $bb_conf_menu23(${BBOPTIONCOLOR}$BBDTAO${BBMAINCOLOR})"

	echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 24) $bb_conf_menu24 ${BBTABLECOLOR}|${BBMAINCOLOR} 25) $bb_conf_menu25  ${BBTABLECOLOR}|${BBMAINCOLOR} 0) $bb_conf_menu0"
	echo -n -e "${BBINPUTCOLOR}$bb_conf_menu_entry |>${BBMAINCOLOR} "
	read action
	echo -e "${BBCOLOROFF}"
	# </table>

	case $action in
  		1)		#Change writer device
			pretty_top
			echo -e "${BBINFOLINE}"
			echo -e "${BBOPTIONCOLOR}$bb_conf_ch1_1"
			echo -e "${BBOPTIONCOLOR}$bb_conf_ch1_2"
			echo -e "${BBOPTIONCOLOR}$bb_conf_ch1_3"
			echo -e "${BBOPTIONCOLOR}$bb_conf_ch1_4"
			echo -e "${BBOPTIONCOLOR}$bb_conf_ch1_5${BBMAINCOLOR}/etc/default/cdrecord ${BBOPTIONCOLOR}$bb_conf_ch1_6"
			echo -e "${BBDECOLIN3}"
			echo -e "${BBMAINCOLOR}$bb_conf_ch1_7${BBCOLOROFF}"
			sleep 2s
			cdrecord -scanbus
			echo
			echo -e "${BBMAINCOLOR}$bb_conf_ch1_8${BBCOLOROFF}"
			sleep 2s
			cdrecord dev=ATAPI -scanbus
			echo
			echo -n -e "${BBINPUTCOLOR}$bb_conf_ch1_9${BBCOLOROFF}"
			read BBCDWRITER
			continue 
			;;	
		2)					#Change cdrom device file
			pretty_top
			echo -e "${BBINFOLINE}"
			echo -e "${BBMAINCOLOR}"
			echo $bb_conf_ch2_1
			echo
			echo $bb_conf_ch2_2
			echo -e "${BBSUBCOLOR}"
			echo
			grep cdrom /etc/fstab | cut -f 1-2 && grep dvd /etc/fstab | cut -f 1-2 && grep cdrw /etc/fstab && cut -f 1-2
			echo
			echo -e "${BBDECOLIN3}"
			echo
			echo -n -e "${BBINPUTCOLOR}$bb_conf_ch2_3${BBCOLOROFF}"
			read BBCDROM
			continue
		;;
		3)                                      #Change cdrom mount point
			pretty_top
			echo -e "${BBINFOLINE}"
			echo -e "${BBMAINCOLOR}"
			echo $bb_conf_ch3_1
			echo $bb_conf_ch3_2
			echo -e "${BBSUBCOLOR}"
			echo
			grep cdrom /etc/fstab | cut -f2 && grep dvd /etc/fstab | cut -f2 && grep cdrw /etc/fstab && cut -f2
			echo
			echo -e "${BBDECOLIN3}"
			echo
			echo -n -e "${BBINPUTCOLOR}$bb_conf_ch3_3${BBCOLOROFF}"
			read BBCDMNT
			continue
		;;
		4)		#Change writer speed
			pretty_top
			echo -e "${BBINFOLINE}"
			echo $bb_conf_ch4_1
			echo $bb_conf_ch4_2
			echo $bb_conf_ch4_3
			echo $bb_conf_ch4_4
			echo $bb_conf_ch4_5
			echo $bb_conf_ch4_6
			echo -e "${BBDECOLIN3}"
			echo
			echo -n -e "${BBINPUTCOLOR}$bb_conf_ch4_7${BBCOLOROFF}"
			read BBSPEED
			continue
		;;
		5)				#Change type of blanking
			pretty_top
			echo -e "${BBINFOLINE}"
			cdrecord blank=help
			echo -e "${BBMAINCOLOR}$bb_conf_ch5_1${BBCOLOROFF}"
			echo -e "$bb_conf_ch5_2${BBOPTIONCOLOR}${BBBLANKING}${BBCOLOROFF}"
			echo -e "${BBDECOLIN3}"
			echo
			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
			read BBBLANKING
			continue
		;;
		6)				#Number of devices
			pretty_top
			echo -e "${BBINFOLINE}"
			echo $bb_conf_ch6_1
			echo $bb_conf_ch6_2
			echo -e "${BBDECOLIN3}"
			echo
			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
			read BBNUMDEV
			continue
		;;
		7)				#Change of ROOTDIR. Be careful!
			pretty_top
			echo -e "${BBINFOLINE}"
			echo $bb_conf_ch7_1
			echo -e "${BBMAINCOLOR}$bb_conf_ch7_2${BBCOLOROFF}"
			echo -e "$bb_conf_ch7_3${BBOPTIONCOLOR}${BBROOTDIR}${BBCOLOROFF}$bb_conf_ch7_4"
			echo -e "$bb_conf_ch5_2${BBOPTIONCOLOR}${BBROOTDIR}${BBCOLOROFF}"
			echo -e "${BBDECOLIN3}"
			echo
			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
			read BBROOTDIR
		;;
		8)			#Change of BBBURNDIR. Default usually ok.
			pretty_top
			echo -e "${BBINFOLINE}"
			echo $bb_conf_ch8_1
			echo $bb_conf_ch8_2
			echo -e "$bb_conf_ch7_3${BBOPTIONCOLOR}${BBBURNDIR}${BBCOLOROFF}$bb_conf_ch7_4"
			echo -e "$bb_conf_ch5_2${BBOPTIONCOLOR}${BBBURNDIR}${BBCOLOROFF}"
			echo -e "${BBDECOLIN3}"
			echo
			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
			read BBBURNDIR
		;;			
		9)				#Label of the cd
			pretty_top
			echo -e "${BBINFOLINE}"
			echo $bb_conf_ch9_1
			echo $bb_conf_ch9_2
			echo $bb_conf_ch9_3
			echo -e "$bb_conf_ch9_4${BBOPTIONCOLOR}${BBLABEL}${BBCOLOROFF}." 
			echo $bb_conf_ch9_5
			echo -e "${BBDECOLIN3}"
			echo
			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
			read BBLABEL
		;;					
		10)			#Copyright notice (If any)
			pretty_top
			echo -e "${BBINFOLINE}"
			echo $bb_conf_ch10_1
			echo -e "$bb_conf_ch5_2${BBOPTIONCOLOR}${BBCOPYRIGHT}${BBCOLOROFF}"
			echo -e "${BBDECOLIN3}"
			echo
			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
			read BBCOPYRIGHT
		;;
		11)				#Author
			pretty_top
			echo -e "${BBINFOLINE}"
			echo $bb_conf_ch11_1
			echo $bb_conf_ch11_2
			echo $bb_conf_ch11_3
			echo -e "$bb_conf_ch11_4${BBOPTIONCOLOR}${BBAUTHOR}${BBCOLOROFF}"
			echo $bb_conf_ch11_5
			echo -e "${BBDECOLIN3}"
			echo
			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
			read BBAUTHOR
		;;
		12)					#Publisher
			pretty_top
			echo -e "${BBINFOLINE}"
			echo $bb_conf_ch12_1
			echo $bb_conf_ch12_2
			echo $bb_conf_ch12_3
			echo -e "$bb_conf_ch12_4${BBOPTIONCOLOR}${BBPUBLISHER}${BBCOLOROFF}."
			echo $bb_conf_ch12_5
			echo -e "${BBDECOLIN3}"
			echo
			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
			read BBPUBLISHER
		;;
		13)				#Content description
			pretty_top
			echo -e "${BBINFOLINE}"
			echo $bb_conf_ch13_1
			echo $bb_conf_ch13_2
			echo $bb_conf_ch13_3
			echo -e "${BBOPTIONCOLOR}${BBDESCRIPTION}${BBCOLOROFF}"
			echo $bb_conf_ch13_4
			echo -e "${BBDECOLIN3}"
			echo
			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
			read BBDESCRIPTION
		;;
		14)				#Name of package
			pretty_top
                        echo -e "${BBINFOLINE}"
			echo $bb_conf_ch14_1
			echo $bb_conf_ch14_2
			echo $bb_conf_ch14_3
			echo $bb_conf_ch14_4
			echo -e "$bb_conf_ch14_5${BBOPTIONCOLOR}${BBNAMEOFPACKAGE}${BBCOLOROFF}"
			echo $bb_conf_ch14_6
                        echo -e "${BBDECOLIN3}"
                        echo
			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
			read BBNAMEOFPACKAGE
		;;
		15)				#Use normalize
			pretty_top
                        echo -e "${BBINFOLINE}"
			echo $bb_conf_ch15_1
			echo $bb_conf_ch15_2
			echo $bb_conf_ch15_3
			echo -e "$bb_conf_ch15_4${BBOPTIONCOLOR}${BBNORMALIZE}${BBCOLOROFF}."
   			echo $bb_conf_ch17_5
                        echo -e "${BBDECOLIN3}"
                        echo
   			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
   			read BBNORMALIZE
		;;
		16)				#Driver options
			pretty_top
                        echo -e "${BBINFOLINE}"
			echo $bb_conf_ch16_1
			echo $bb_conf_ch16_2
			echo -e "$bb_conf_ch5_2${BBOPTIONCOLOR}<${BBOPT_ONE}>${BBCOLOROFF}"
			cdrecord dev=$BBCDWRITER -checkdrive driveropts=help 
                        echo -e "${BBDECOLIN3}"
                        echo
			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
   			read BBOPT_ONE
		;;
		17)			#FIFO dir for direct audio burning
			pretty_top
                        echo -e "${BBINFOLINE}"
			echo $bb_conf_ch17_1
			echo $bb_conf_ch17_2
			echo -e "$bb_conf_ch17_3${BBOPTIONCOLOR}${BBFIFODIR}${BBCOLOROFF}$bb_conf_ch17_4"
			echo -e "(${BBOPTIONCOLOR}${BBFIFODIR}${BBCOLOROFF}$bb_conf_ch17_5"
                        echo -e "${BBDECOLIN3}"
                        echo
			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
			read BBFIFODIR
		;;
		18)
			pretty_top
                        echo -e "${BBINFOLINE}"
			echo -e "$bb_conf_ch18_1${BBOPTIONCOLOR}${BBBURNDIR}${BBCOLOROFF}$bb_conf_ch18_2"
			echo $bb_conf_ch18_3
			echo $bb_conf_ch18_4
			echo -e "$bb_conf_ch5_2${BBOPTIONCOLOR}${BBDELTEMPBURN}${BBCOLOROFF}."
                        echo -e "${BBDECOLIN3}"
                        echo
			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
			read BBDELTEMPBURN
		;;
		19)			# Overburn
			pretty_top
                        echo -e "${BBINFOLINE}"
			echo $bb_conf_ch19_1
			echo $bb_conf_ch19_2
			echo $bb_conf_ch19_3
			echo $bb_conf_ch19_4
			echo $bb_conf_ch19_5
			echo -e "$bb_conf_ch5_2${BBOPTIONCOLOR}${BBOVERBURN}${BBCOLOROFF}."
                        echo -e "${BBDECOLIN3}"
                        echo
			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
			read BBOVERBURN
		;;
		20)			# Audio set Copy Protection 
			pretty_top
                        echo -e "${BBINFOLINE}"
			echo $bb_conf_ch20_1
			echo -e "$bb_conf_ch20_2$bb_conf_ch5_2${BBOPTIONCOLOR}${BBCOPY_PROTECT}${BBCOLOROFF}"
			echo -e "${BBMAINCOLOR}$bb_conf_ch20_3${BBCOLOROFF}$bb_conf_ch20_4${BBMAINCOLOR}$bb_conf_ch20_5${BBCOLOROFF}$bb_conf_ch20_6"
			echo $bb_conf_ch20_7
                        echo -e "${BBDECOLIN3}"
                        echo
			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
			read BBCOPY_PROTECT
		;;
		21)				#BITRATE OPTION
			pretty_top
                        echo -e "${BBINFOLINE}"
			echo $bb_conf_ch21_1
			echo $bb_conf_ch21_2
			echo $bb_conf_ch21_3
			echo $bb_conf_ch21_4
			echo "ie. 64, 128, 160, 192, 256."
			echo -e "$bb_conf_ch21_5$bb_conf_ch5_2${BBOPTIONCOLOR}${BBBITRATE}${BBCOLOROFF}"
                        echo -e "${BBDECOLIN3}"
                        echo
			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
			read BBBITRATE
		;;
		22)				# Language Option
			pretty_top
			echo -e "${BBINFOLINE}"
			echo $bb_conf_ch22_1
			echo $bb_conf_ch22_2; echo
			ls ${BBROOTDIR}/lang
			echo -e "${BBDECOLIN3}"
			echo
			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
			read BBLANG
		
		;;
		23)
			pretty_top
			echo -e "${BBINFOLINE}"
			echo $bb_conf_ch23_1
			echo -e ${BBOPTIONCOLOR}$bb_conf_ch23_2${BBCOLOROFF}$bb_conf_ch23_2b${BBOPTIONCOLOR}$bb_conf_ch23_2c${BBCOLOROFF}
			echo $bb_conf_ch23_3
			echo -e ${BBOPTIONCOLOR}$bb_conf_ch23_4${BBCOLOROFF}$bb_conf_ch23_5
			echo $bb_conf_ch23_6
			echo $bb_conf_ch23_7
			echo -e "${BBDECOLIN3}"
			echo
			echo -n -e "${BBINPUTCOLOR}|> ${BBCOLOROFF}"
			read BBDTAO
		;;
		24)				#Apply changes	
			pretty_top
                        echo -e "${BBINFOLINE}"
		
			# Make sure BashBurn knows it is configured.
			BBISCONF="1"

			cat $BBCONFFILE | sed -e "s^BBCDWRITER.*BBCDWRITER: $BBCDWRITER"	\
						-e "s^BBCDROM.*BBCDROM: $BBCDROM"	\
						-e "s^BBCDMNT.*BBCDMNT: $BBCDMNT"	\
						-e "s^BBSPEED.*BBSPEED: $BBSPEED"	\
						-e "s^BBBLANKING.*BBBLANKING: $BBBLANKING"	\
						-e "s^BBNUMDEV.*BBNUMDEV: $BBNUMDEV"	\
						-e "s^BBROOTDIR.*BBROOTDIR: $BBROOTDIR"	\
						-e "s^BBBURNDIR.*BBBURNDIR: $BBBURNDIR"	\
						-e "s^BBLABEL.*BBLABEL: $BBLABEL"	\
						-e "s^BBCOPYRIGHT.*BBCOPYRIGHT: $BBCOPYRIGHT"	\
						-e "s^BBDESCRIPTION.*BBDESCRIPTION: $BBDESCRIPTION"	\
						-e "s^BBAUTHOR.*BBAUTHOR: $BBAUTHOR"	\
						-e "s^BBPUBLISHER.*BBPUBLISHER: $BBPUBLISHER"	\
						-e "s^BBNAMEOFPACKAGE.*BBNAMEOFPACKAGE: $BBNAMEOFPACKAGE"	\
						-e "s^BBNORMALIZE.*BBNORMALIZE: $BBNORMALIZE"	\
						-e "s^BBOPT_ONE.*BBOPT_ONE: $BBOPT_ONE"	\
						-e "s^BBFIFODIR.*BBFIFODIR: $BBFIFODIR"	\
						-e "s^BBDELTEMPBURN.*BBDELTEMPBURN: $BBDELTEMPBURN"	\
						-e "s^BBOVERBURN.*BBOVERBURN: $BBOVERBURN"	\
						-e "s^BBCOPY_PROTECT.*BBCOPY_PROTECT: $BBCOPY_PROTECT"	\
						-e "s^BBBITRATE.*BBBITRATE: $BBBITRATE"	\
						-e "s^BBLANG.*BBLANG: $BBLANG"	\
						-e "s^BBISCONF.*BBISCONF: $BBISCONF"	\
						-e "s^BBDTAO.*BBDTAO: $BBDTAO"	| cat &> $BBCONFFILE
			if [ $? -eq 0 ]; then
				echo $bb_conf_apply_1
	                        echo -e "${BBDECOLIN3}"
        	                echo
   				sleep 2s
				variable_reader
				continue
   			else
				echo "$bb_conf_apply_2 ${BBCONFFFILE}"
				echo "$bb_conf_apply_3 ${BBCONFFILE}"
				echo -e "${BBDECOLIN3}"
				echo
				sleep 4s
				exit 1
			fi
		;;
		25)				#Apply default values
			pretty_top
                        echo -e "${BBINFOLINE}"
   			BBCDWRITER="<Change Me>"
   			BBCDROM="<Change Me>"
			BBCDMNT="<Change Me>"
   			BBSPEED="-1"
   			BBBLANKING="disc"
   			BBNUMDEV="1"
			BBBURNDIR="/tmp/burn"
			BBLABEL="BashBurn CD>"
   			BBCOPYRIGHT="GNU GENERAL PUBLIC LICENSE"
			BBAUTHOR="<Change Me>"
			BBPUBLISHER="<Change Me>"
			BBDESCRIPTION="Burned with BashBurn"
			BBNAMEOFPACKAGE="<Change Me>"
			BBNORMALIZE="no"
			BBOPT_ONE=
			BBFIFODIR="/tmp"
			BBDELTEMPBRUN="no"
			BBOVERBURN="no"
			BBCOPY_PROTECT="no"
			BBBITRATE="128"
			BBLANG="English"
			BBISCONF="0"
			BBDTAO="-tao"

			cat $BBCONFFILE | sed -e "s^BBCDWRITER.*BBCDWRITER: $BBCDWRITER"	\
						-e "s^BBCDROM.*BBCDROM: $BBCDROM"	\
						-e "s^BBCDMNT.*BBCDMNT: $BBCDMNT"	\
						-e "s^BBSPEED.*BBSPEED: $BBSPEED"	\
						-e "s^BBBLANKING.*BBBLANKING: $BBBLANKING"	\
						-e "s^BBNUMDEV.*BBNUMDEV: $BBNUMDEV"	\
						-e "s^BBROOTDIR.*BBROOTDIR: $BBROOTDIR"	\
						-e "s^BBBURNDIR.*BBBURNDIR: $BBBURNDIR"	\
						-e "s^BBLABEL.*BBLABEL: $BBLABEL"	\
						-e "s^BBCOPYRIGHT.*BBCOPYRIGHT: $BBCOPYRIGHT"	\
						-e "s^BBDESCRIPTION.*BBDESCRIPTION: $BBDESCRIPTION"	\
						-e "s^BBAUTHOR.*BBAUTHOR: $BBAUTHOR"	\
						-e "s^BBPUBLISHER.*BBPUBLISHER: $BBPUBLISHER"	\
						-e "s^BBNAMEOFPACKAGE.*BBNAMEOFPACKAGE: $BBNAMEOFPACKAGE"	\
						-e "s^BBNORMALIZE.*BBNORMALIZE: $BBNORMALIZE"	\
						-e "s^BBOPT_ONE.*BBOPT_ONE: $BBOPT_ONE"	\
						-e "s^BBFIFODIR.*BBFIFODIR: $BBFIFODIR"	\
						-e "s^BBDELTEMPBURN.*BBDELTEMPBURN: $BBDELTEMPBURN"	\
						-e "s^BBOVERBURN.*BBOVERBURN: $BBOVERBURN"	\
						-e "s^BBCOPY_PROTECT.*BBCOPY_PROTECT: $BBCOPY_PROTECT"	\
						-e "s^BBBITRATE.*BBBITRATE: $BBBITRATE"	\
						-e "s^BBLANG.*BBLANG: $BBLANG"	\
						-e "s^BBISCONF.*BBISCONF: $BBISCONF"	\
						-e "s^BBDTAO.*BBDTAO: $BBDTAO"		| cat &> $BBCONFFILE
			if [ $? -eq 0 ]; then
				echo $bb_conf_def_1
				echo $bb_conf_def_2
				echo -e "${BBDECOLIN3}"
   				sleep 2s
				variable_reader
   				continue
   			else
				echo $bb_conf_apply_2
				echo $bb_conf_apply_3
				echo -e "${BBDECOLIN3}"
				sleep 3s
				exit 1
			fi
		;;
  		0)			#Back to main menu
			pretty_top
                        echo -e "${BBINFOLINE}"
   			echo $bb_conf_xit_1
                        echo -e "${BBMAINCOLOR}$bb_conf_xit_2${BBCOLOROFF}"
                        echo -e "${BBDECOLIN3}"
			sleep 2s
  			break
		;;
  		*)				#You entered a bad number
			pretty_top
                        echo -e "${BBINFOLINE}"
			echo
   			echo -e "     ${BBMAINCOLOR}$bb_conf_err 0 - 26${BBCOLOROFF}"
			echo
			echo -e "${BBDECOLIN3}"
			sleep 2s
			continue
  		;;
 	esac
done
